curl --request POST \
--url https://sandbox.api.byzantine.fi/v1/query/get-update-users-role-payload-passkey \
--header 'Content-Type: application/json' \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"userIds": [
"550e8400-e29b-41d4-a716-446655440000"
]
}
'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-update-users-role-payload-passkey"
payload = {
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"userIds": ["550e8400-e29b-41d4-a716-446655440000"]
}
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountId: '550e8400-e29b-41d4-a716-446655440000',
role: 'root',
userIds: ['550e8400-e29b-41d4-a716-446655440000']
})
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-update-users-role-payload-passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bodyToSign": {
"type": "ACTIVITY_TYPE_UPDATE_ROOT_QUORUM",
"timestampMs": "<string>",
"organizationId": "d107c1e1-766a-4091-802c-de61a3973e91",
"parameters": {
"threshold": 1,
"userIds": [
"<string>"
]
}
}
}Step 1 Get update role payload (passkey)
Get the payload to sign in order to update users’ roles within a Byzantine account. Part of the passkey authentication flow.
curl --request POST \
--url https://sandbox.api.byzantine.fi/v1/query/get-update-users-role-payload-passkey \
--header 'Content-Type: application/json' \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"userIds": [
"550e8400-e29b-41d4-a716-446655440000"
]
}
'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-update-users-role-payload-passkey"
payload = {
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"userIds": ["550e8400-e29b-41d4-a716-446655440000"]
}
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountId: '550e8400-e29b-41d4-a716-446655440000',
role: 'root',
userIds: ['550e8400-e29b-41d4-a716-446655440000']
})
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-update-users-role-payload-passkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bodyToSign": {
"type": "ACTIVITY_TYPE_UPDATE_ROOT_QUORUM",
"timestampMs": "<string>",
"organizationId": "d107c1e1-766a-4091-802c-de61a3973e91",
"parameters": {
"threshold": 1,
"userIds": [
"<string>"
]
}
}
}Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Body
Body to update users' roles within a Byzantine account
Request body for updating users' roles within a Byzantine account
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Role of a user in an account.
root, admin, view, self_custodial, beneficiary "root"
The unique identifiers of users beeing promoted / demoted.
A UUID string
Response
Payload to sign created successfully
The object that needs to be signed by the end user to update the root quorum of a Byzantine account.
Show child attributes
Show child attributes

